> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vlm.run/llms.txt
> Use this file to discover all available pages before exploring further.

# List Executions

> List all agent executions for the user organization with pagination.

<RequestExample>
  ```python Python theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  !pip install vlmrun

  from vlmrun.client import VLMRun
  from vlmrun.client.types import AgentExecutionResponse

  client = VLMRun(api_key="<VLMRUN_API_KEY>")
  response: AgentExecutionResponse = client.executions.list(skip=0, limit=10)
  ```

  ```typescript Node.js SDK theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  import { VlmRun } from "vlmrun";

  const client = new VlmRun({
    baseURL: "https://api.vlm.run/v1",
    apiKey: "<VLMRUN_API_KEY>"
  });

  const response = await client.executions.list({ skip: 0, limit: 10 });
  console.log(response);
  ```
</RequestExample>


## OpenAPI

````yaml GET /v1/agent/executions
openapi: 3.1.0
info:
  title: VLM Run Unified Server
  description: Unified server for VLM Run Agent and API
  termsOfService: https://vlm.run/terms-of-service
  contact:
    name: VLM Run Support Team
    url: https://vlm.run/
    email: support@vlm.run
  version: 2026-05-19.0
servers: []
security: []
paths:
  /v1/agent/executions:
    get:
      tags:
        - agent
      summary: Get Agent Executions
      description: Get all agent executions for the user organization with pagination.
      operationId: get_agent_executions_v1_agent_executions_get
      parameters:
        - name: skip
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Number of items to skip
            default: 0
            title: Skip
          description: Number of items to skip
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 1000
                minimum: 1
              - type: 'null'
            description: Maximum number of items to return
            default: 10
            title: Limit
          description: Maximum number of items to return
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AgentExecutionResponse'
                title: Response Get Agent Executions V1 Agent Executions Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentExecutionResponse:
      properties:
        usage:
          $ref: '#/components/schemas/CreditUsageResponse'
          description: The usage metrics for the request.
        id:
          type: string
          title: Id
          description: Unique identifier of the agent execution response.
        name:
          type: string
          title: Name
          description: Name of the agent
        response:
          anyOf:
            - {}
            - type: 'null'
          title: Response
          description: The response from the model.
        status:
          type: string
          enum:
            - pending
            - enqueued
            - running
            - completed
            - failed
            - paused
          title: Status
          description: The status of the job.
          default: pending
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Date and time when the execution was created (in UTC timezone)
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
          description: Date and time when the execution was completed (in UTC timezone)
      type: object
      required:
        - name
      title: AgentExecutionResponse
      description: Response to the agent execution request.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CreditUsageResponse:
      properties:
        elements_processed:
          anyOf:
            - type: integer
            - type: 'null'
          title: Elements Processed
          description: Number of elements processed.
        element_type:
          anyOf:
            - type: string
              enum:
                - image
                - page
                - video
                - audio
            - type: 'null'
          title: Element Type
          description: The type of element processed (e.g. image, page, video, audio).
        credits_used:
          anyOf:
            - type: integer
            - type: 'null'
          title: Credits Used
          description: Amount of total credits used.
        steps:
          anyOf:
            - type: integer
            - type: 'null'
          title: Steps
          description: Number of steps processed, in case of agentic execution.
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: The message from the credit usage job.
        duration_seconds:
          type: integer
          title: Duration Seconds
          description: Duration of the request in seconds.
          default: 0
      type: object
      title: CreditUsageResponse
      description: Response model for credit usage metrics.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````